.button {
  align-self: center;
  padding-top: 11px;
  padding-right: 27px;
  padding-bottom: 9px;
  padding-left: 27px;
  -webkit-border-radius: 25px;
  -moz-border-radius: 25px;
  border-radius: 25px;
  font-family: ProximaNova-Regular;
  font-size: 22px;
  color: #fff;
  background-color: #54d154;
  text-transform: uppercase;
  transition: 0.5s ease;
  transition-property: color, background-color;

  &:hover {
    background-color: darken( #54d154, 10% );
  }

    &.button--scroll-down {
      padding-top: 2px;
      padding-right: 30px;
      padding-bottom: 4px;
      padding-left: 11px;
      background-image: url("../images/arrow-down.png");
      background-repeat: no-repeat;
      background-position: 88%;
      background-color: rgba(255, 255, 255, 0.7);
      font-family: ProximaNova-Light;
      font-size: 16px;
      color: #1d1d1d;
      text-transform: lowercase;

      &:hover {
        background-color: darken( (rgba(255, 255, 255, 0.7)), 10% );
      }
    }

    &.button--learn-more {
      padding: 5px 19px;
      font-family: ProximaNova-Bold;
      font-size: 16px;
      text-transform: none;
    }

    &.button--arrow-green {
      padding-top: 9px;
      padding-right: 40px;
      padding-bottom: 9px;
      padding-left: 17px;
      background-image: url("../images/arrow-right.png");
      background-repeat: no-repeat;
      background-position: 89%;
      background-color: #2b9b2b;
      font-family: ProximaNova-Regular;
      font-size: 18px;
      text-transform: none;

      &:hover {
        background-color: darken( #2b9b2b, 10% );
      }
    }

    &.button--arrow-grey {
      padding-top: 9px;
      padding-right: 54px;
      padding-bottom: 9px;
      padding-left: 32px;
      background-image: url("../images/arrow-right-grey.png");
      background-repeat: no-repeat;
      background-position: 89%;
      background-color: #dddcdc;
      font-family: ProximaNova-Regular;
      font-size: 18px;
      color: #a59d9d;
      text-transform: none;


      &:hover {
        background-image: url("../images/arrow-right.png");
        background-color: darken( #a59d9d, 10% );
        color: #fff;
      }
    }

    &.button--shadow {
      padding-top: 9px;
      padding-right: 23px;
      padding-bottom: 8px;
      padding-left: 24px;
      box-shadow: 0px 3px 13px -1px rgba(0,0,0,0.3);
      background-color: #54d154;
      font-family: ProximaNova-Light;
      font-size: 18.6px;

      &:hover {
        background-color: darken( #54d154, 10% );
      }
    }

  &.button--fixed {
    display: none;
    position: fixed;
    right: 85px;
    bottom: 50px;
    z-index: 999;
    padding: 15px 21px;
    border-radius: 50%;
    background-color: #39a139 !important;

    &:hover {
      background-color: #54d154 !important;
    }
  }
}

/*

<a href="#" class="button">work with us</a>
<a href="#" class="button button--scroll-down">scroll down</a>
<a href="#" class="button button--learn-more">Learn more</a>
<a href="#" class="button button--arrow-green">View more work</a>
<a href="#" class="button button--arrow-grey">See all client</a>
<a href="" class="button button--shadow">work with us</a>
<a href="#" class="button button--fixed"><i class="fa fa-arrow-up" aria-hidden="true"></i></a>
*/

